NROFF(1)

NAME
nroff - format documents for display or line-printer

SYNOPSIS
nroff [ -ehig ] [ -mname ] [ -nN ] [ -opagelist ] [ -raN ]
[ -sN ] [ -Tname ]

AVAILABILITY

This command is available with the Text software installation option. Refer to for information on how to install optional software.

DESCRIPTION

nroff formats text in the named files for typewriter-like devices. See also troff(1). The full capabilities of nroff and troff are described in

If no file argument is present, nroff reads the standard input. An argument consisting of a `-' is taken to be a file name corresponding to the standard input.

OPTIONS

Options may appear in any order so long as they appear before the files.

-e  Produce equally-spaced words in adjusted lines, using full terminal resolution.

-h  Use output TAB characters during horizontal spacing to speed output and reduce output character count. TAB settings are assumed to be every 8 nominal character widths.

-i  Read the standard input after the input files are exhausted.

-q  Invoke the simultaneous input-output mode of the rd request.

-mname
    Prepend the macro file /usr/share/lib/tmac/tmac.name to the input files.

-nN Number first generated page N.

-opagelist
    Print only pages whose page numbers appear in the comma-separated list of numbers and ranges. A range N-M means pages N through M; an initial -N means from the beginning to page N; and a final N- means from N to the end.

-raN
    Set register a (one-character) to N.

-sN Stop every N pages. nroff will halt prior to every N pages (default N=1) to allow paper loading or changing, and will resume upon receipt of a NEWLINE.

-Tname
    Prepare output for a device of the specified name. Known names are:

    37  Teletype Corporation Model 37 terminal — this is the default.
    crt  |  lpr  |  tn300
        GE TermiNet 300, or any line printer or terminal without half-line capability.
    300 DASI-300.
    300-12
        DASI-300 — 12-pitch.
    300S  |  302  |  dtc
        DASI-300S.
    300S-12  |  302-12  |  dtc12
        DASI-300S.
    382 DASI-382 (fancy DTC 382).
    382-12
        DASI-82 (fancy DTC 382 — 12-pitch).
    450  |  ipsi
        DASI-450 (Diablo Hyterm).
    450-12  |  ipsi12
        DASI-450 (Diablo Hyterm) — 12-pitch.
    450-12-8
        DASI-450 (Diablo Hyterm) — 12-pitch and 8 lines-per-inch.
    450X
        DASI-450X (Diablo Hyterm).
    832 AJ 832.
    833 AJ 833.
    832-12
        AJ 832 — 12-pitch.
    833-12
        AJ 833 — 12-pitch.
    epson
        Epson FX80.
    itoh
        C:ITOH Prowriter.
    itoh-12
        C:ITOH Prowriter — 12-pitch.
    nec NEC 55?0 or NEC 77?0 Spinwriter.
    nec12
        NEC 55?0 or NEC 77?0 Spinwriter — 12-pitch.
    nec-t
        NEC 55?0/77?0 Spinwriter — Tech-Math/Times-Romanthimble.
    qume
        Qume Sprint — 5 or9.
    qume12
        Qume Sprint — 5 or 9,12-pitch.
    xerox
        Xerox 17?0 or Diablo 16?0.
    xerox12
        Xerox 17?0 or Diablo 16?0 — 12-pitch.
    x-ecs
        Xerox/Diablo 1730/630 — Extended Character Set.
    x-ecs12
        Xerox/Diablo 1730/630 — Extended Character Set, 12-pitch.
    man Dumb terminal, used for online man pages.

EXAMPLE

The following command:

    example% nroff -s4 -me users.guide

formats users.guide using the -me macro package, and stopping every 4 pages.

FILES
/tmp/ta*
    temporary file
/usr/share/lib/tmac/tmac.*
    standard macro files
/usr/share/lib/term/*
    terminal driving tables for nroff
/usr/share/lib/term/README
    index to terminal description files

SEE ALSO
checknr(1), col(1V), eqn(1), tbl(1), troff(1), term(5), man(7), me(7), ms(7)

NOTES
nroff is not 8-bit clean because making nroff 8-bit clean would require rewriting the nroff internals and filters. Also, some nroff syntax is based on ASCII only and does not lend itself to 8-bit character sequences.